      SUBROUTINE GRTJD(YEAR,MONTH,DAY,HOUR,MINUTE,SECOND,JDINT,JDF)
	IMPLICIT DOUBLE PRECISION (A-H,O-Z)
      INCLUDE 'LICENSE-BSD3.inc'
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C  Mon Nov 21, 1988 16:49:17
C  THIS ROUTINE WAS MOVED OVER FROM NOVA 4X:DZ4
C     1) REPLACE "COMPILER DOUBLE PRECISION" WITH
C        "IMPLICIT DOUBLE PRECISION (A-H,O-Z)".
C     2) MAKE SURE STATEMENTS DON'T EXTEND BEYOND COLUMN 72.
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
C FOR A GIVEN GREGORIAN DATE & UNIVERSAL TIME COORDINATED (UTC) THIS
C ROUTINE CALCULATES THE EQUIVALENT JULIAN-DATE (RJD).
C
C INPUT:
C   YEAR   - (INTEGER) GREGORIAN YEAR LEAST SIG. 2 DIGITS
C   MONTH  - (INTEGER) GREGORIAN MONTH
C   DAY    - (INTEGER) GREGORIAN DAY
C   HOUR   - (INTEGER) UTC HOUR
C   MINUTE - (INTEGER) UTC MINUTE
C   SECOND - (D.P. REAL) UTC SECOND
C
C OUTPUT: 
C   JDINT  - DOUBLE PRECISION JULIAN DATE (WHOLE DAY)
C   JDF    - (FRACTIONAL DAY)
C   YEAR, MONTH, DAY, HOUR, MINUTE, SECOND - UNCHANGED
C
C***********************************************************
C

	character sccsid*(*)
	parameter (sccsid = "@(#)grtjd.f	1.2\t06/13/89")

      INTEGER YEAR, MONTH, DAY, HOUR, MINUTE
      DOUBLE PRECISION JDINT, JDF
 
C CALCULATE # DAYS SINCE NOON FEBURARY 29, 1900 (JULIAN DATE=2415078.0)
 
      IF(MONTH.GT.2) GO TO 10 
 
	JDINT = DINT(1461.D0 * (YEAR-1)/4.D0)
     1		+ DINT((153.D0 * (MONTH+9) + 2.D0)/5.D0) + DAY
      GO TO 20
 
10	JDINT = DINT(1461.D0 * YEAR/4.D0) 
     1		+ DINT((153.D0 * (MONTH-3) + 2.D0)/5.D0) + DAY
 
C ADD FRACTIONAL DAY AND THE JD FOR 2/29/1900
 
20    JDF = (HOUR + (MINUTE + SECOND/60.D0)/60.D0)/24.D0+ 0.5D0
      JDINT = JDINT + 2415078.0D0
25	IF (JDF.LT.1.D0) GO TO 30
        JDF= JDF- 1.D0
        JDINT= JDINT+ 1.D0
        GO TO 25

30	CONTINUE
C
C	   THE
	   END
