        SUBROUTINE SBETID(EPHMTEL,GASTM,NUTPRM)
        IMPLICIT DOUBLE PRECISION (A-H,O-Z)
      INCLUDE 'LICENSE-BSD3.inc'

	character*(*) sccsid
	parameter (sccsid = "@(#)sbetidnp.f	1.3\t02/20/91")

C  CALCULATE SOLID BODY EARTH TIDE EFFECT UPON LASER SITE COORDINATES 
cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
c 08 Feb 91, 1051: change comment to say "rotate partials back to
c epoch of ephemeris" rather than "...1950"
cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
c need to fix GMERTH and GMMOON?
cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc

	INCLUDE 'CETB4.INC'

	INCLUDE 'DEFCMN.INC'

	INCLUDE 'DEVCOM.INC'

	INCLUDE 'INTRNG.INC'

	INCLUDE 'MODINF.INC'

	INCLUDE 'PDCMN.INC'

        DOUBLE PRECISION EPHMTEL(6),GASTM(6,3),NUTPRM(6,3)
        DOUBLE PRECISION DXDR(6),DXDLAM(6),DXDPHI(6),PART(6),XML(6) 
        DOUBLE PRECISION XEMTID(6),XESTID(6)    
        DOUBLE PRECISION XETID(6),HLOV,LLOV,DUM1(6),DUM2(6),TELPOS(6) 

        COMMON /TWOPI/ TWOPI,CDR,CASR,CTSR

C---------------------------------------------------------------
C  GM'S 
c	emrp1=emrati+1.d0
c	GMERTH= K2MC3/3.289001D5*( 1.D0 - 1.D0/emrp1)
c	GMMOON= K2MC3/3.289001D5/emrp1
        GMERTH= K2MC3/3.289001D5*( 1.D0 - 1.D0/82.30055D0)
        GMMOON= K2MC3/3.289001D5/82.30055D0
        R= DSQRT(DOT3(EPHMTEL,EPHMTEL))
        G = GMERTH/R**2

C  SET LOVE NUMBERS 
        HLOV = 0.618D0
        LLOV = 0.088D0
        TLAG = 0.D0

C  GET PARTIALS
        DO 5 I=1,6
            DXDR(I)= 0.D0
            DXDLAM(I)= 0.D0
            DXDPHI(I)= 0.D0
 5      CONTINUE

        SINL= DSIN(TRANSM(2)*CDR)
        COSL= DCOS(TRANSM(2)*CDR)
        SINP= DSIN(TRANSM(3)*CDR)
        COSP= DCOS(TRANSM(3)*CDR)
CX      WRITE(DUNIT,1010) TRANSM,R    
 1010   FORMAT(1X,4E20.10)
CX      WRITE(DUNIT,1011) EPHMTEL     

        DXDR(1)= EPHMTEL(1)/R 
        DXDR(2)= EPHMTEL(2)/R 
        DXDR(3)= EPHMTEL(3)/R 
        DXDLAM(1)= -R*SINL*COSP
        DXDLAM(2)= R*COSL*COSP
        DXDLAM(3)= 0.D0
        DXDPHI(1)= -R*COSL*SINP
        DXDPHI(2)= -R*SINL*SINP
        DXDPHI(3)= R*COSP
CX      WRITE(DUNIT,1011) DXDR,DXDLAM,DXDPHI    
 1011   FORMAT(1X,6E20.10)

C  ROTATE PARTIALS BACK TO EPOCH OF EPHEMERIS (DXDR ALREADY AT EPOCH)
C       CALL MATMUL(GASTM,DXDR,PART,6,3,1)
C       CALL MATMUL(NUTPRM,PART,DXDR,6,3,1)
        CALL MATMUL(GASTM,DXDLAM,PART,6,3,1)
        CALL MATMUL(NUTPRM,PART,DXDLAM,6,3,1)
        CALL MATMUL(GASTM,DXDPHI,PART,6,3,1)
        CALL MATMUL(NUTPRM,PART,DXDPHI,6,3,1)
CX      WRITE(DUNIT,1011) DXDR,DXDLAM,DXDPHI    

C  CREATE EARTH-MOON VECTOR
        DO 25 II=1,6
 25     XML(II)= TABOUT(II,3)- TABOUT(II,11)
CX      WRITE(DUNIT,1011) (TABOUT(II,3),II=1,6),(TABOUT(II,11),II=1,6),XML    

C  NOW GET THE TIDAL CORRECTIONS FOR THE MOON AND THE SUN
        CALL VETIDE(0,GMMOON,G,COSP,HLOV,LLOV,XML,EPHMTEL,
     X          DXDR,DXDPHI,DXDLAM,XEMTID, DUM1,DUM2,DRADM,DLATM,DLONM)
CX      WRITE(DUNIT,1011) XEMTID      

        CALL VETIDE(0,K2MC3,G,COSP,HLOV,LLOV,TABOUT(1,3),EPHMTEL,
     X          DXDR,DXDPHI,DXDLAM,XESTID, DUM1,DUM2,DRADS,DLATS,DLONS)
CX      WRITE(DUNIT,1011) XESTID      

C  NOW WHAT'S THE TOTAL EFFECT
        DO 75 I=1,3 
            XETID(I)= XEMTID(I) + XESTID(I)
            EPHMTEL(I) = EPHMTEL(I) + XETID(I)
            IF (I.GT.3) GO TO 75
            EPHMTEL(I) = EPHMTEL(I) + TLAG*XETID(I+3)
 75     CONTINUE 

        IF (.NOT.DEB(19)) RETURN
        AUSEC= 499.004783640203D0
        DELRAD= (DRADM+DRADS)*HLOV*AUSEC
        DELLAT= (DLATM+DLATS)*LLOV*AUSEC
        DELLON= (DLONM+DLONS)*LLOV*AUSEC
        DO 80 I=1,6 
C  CONVERT AU TO SEC OF TIME
80      TELPOS(I)=EPHMTEL(I)*AUSEC
        WRITE(DUNIT,1000) XEMTID,XESTID,DELRAD,DELLAT,DELLON,TELPOS 
 1000   FORMAT(1X,'SBETID: SOLAR & LUNAR TIDES -' / ' X,Y,Z:' /,    
     X          2(1X,6E20.12/),       
     X          ' RAD, LAT, LON:'/ 3E20.12/
     X          9X,'NEW SITE POSITION -' , 2(/1X,3E22.14))
C
C	   THE
	   END



	SUBROUTINE VETIDE(NVEL,GM,G,CPHI,H,L,R,A,DADR,DADPHI,DADLAM,
     X                          X,DXDH,DXDL,DELR,DELPHI,DELLAM)
        IMPLICIT DOUBLE PRECISION (A-H,O-Z)

C  "MATHEMATICAL COMPUTATION ROUTINE FOR VECTOR SOLID-BODY TIDES"
C  ORIGINAL BY RJ CAPPALLO, MAY 1977, MIT.
C
C  INPUT PARAMETERS:
C       NVEL  =0 TIDE ONLY
C             =1 TIDE AND TIDE RATE
C         GM  BIG G * MASS(PERTURBER)
C          G  LOCAL GRAVITY ACCELERATION
C       CPHI  COSINE(SITE LATITUDE)
C          H  LOVE NUMBER - VERTICAL
C          L  LOVE NUMBER - HORIZONTAL
C          R  VECTOR FROM C.O.M. BODY TO PERTURBER'S CENTER 
C          A  VECTOR FROM C.O.M. BODY TO SITE
C       DADR  VECTORS OF PARTIAL DERIVATIVES OF THE 
C     DADPHI   1950.0 SITE VECTOR W.R.T. BODY-FIXED (epoch of ephem?)
C     DADLAM   SPHERICAL COORDINATES. (PHI = LATITUDE)
C
C  OUTPUT PARAMETERS
C          X  TIDE VECTOR (AND RATE IF NVEL=1)
C       DXDH  PARTIALS OF THE TIDE VECTOR
C       DXDL   W.R.T. LOVE NUMBERS (6-VECTOR IF NVEL=1)
C       DELR,DELPHI,DELLAM  TIDAL OFFSETS IN RADIUS, LONG, & LAT.
C
C$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$ RLR

        DOUBLE PRECISION L,R(6),A(6),DADR(6),DADPHI(6),DADLAM(6),X(6),
     X          DXDH(6),DXDL(6),RHO(6)

C  CALCULATE USEFUL QUANTITIES A PRIORI 
        NV=3
        IF (NVEL.GE.1) NV=6
        DO 10 I=1,NV
 10     RHO(I)=R(I)-A(I)
        RHO1=DSQRT(DOT3(RHO,RHO))
        RHO3=RHO1**3
        R1=DSQRT(DOT3(R,R))
        R3=R1**3
        A1=DSQRT(DOT3(A,A))

        U=GM*(1.D0/RHO1-1.D0/R1-DOT3(R,A)/R3)
        DUDPHI=GM*(DOT3(RHO,DADPHI)/RHO3-DOT3(R,DADPHI)/R3) 
        DUDLAM=GM*(DOT3(RHO,DADLAM)/RHO3-DOT3(R,DADLAM)/R3) 

C  CALULATE BODY-FIXED DISPLACEMENTS / LOVE NUMBERS
        DELR=U/G
        DELPHI=DUDPHI/G
        DELLAM=DUDLAM/G/CPHI

C  FORM TERMS FOR CARTESIAN TIDE-COMPS
C   AND PARTIALS W.R.T. LOVE NUMBERS
        DO 20 I=1,3 
        DXDH(I) = DELR*DADR(I)
 20     DXDL(I) = (DELPHI*DADPHI(I)+DELLAM*DADLAM(I)/CPHI)/A1
        IF (NVEL.LE.0) GO TO 90

C  TIDE RATE - USEFUL QUANTITIES
        R5=R3*R1*R1 
        RHO5=RHO3*RHO1*RHO1

C  TEMPORAL RATES OF POTENTIAL GRADIENTS
        DUDT=GM*((DOT3(R,RHO(4))-DOT3(R(4),A))/R3 
     X           -DOT3(RHO,RHO(4))/RHO3 
     X           +3.D0*DOT3(R,A)*DOT3(R,R(4))/R5)
        DUDPDT=GM*((DOT3(RHO(4),DADPHI)+DOT3(RHO,DADPHI(4)))/RHO3
     X           -3.D0*DOT3(RHO,RHO(4))*DOT3(RHO,DADPHI)/RHO5 
     X           -(DOT3(R(4),DADPHI)+DOT3(R,DADPHI(4)))/R3
     X           +3.D0*DOT3(R,R(4))*DOT3(R,DADPHI)/R5)
        DUDLDT=GM*((DOT3(RHO(4),DADLAM)+DOT3(RHO,DADLAM(4)))/RHO3
     X           -3.D0*DOT3(RHO,RHO(4))*DOT3(RHO,DADLAM)/RHO5 
     X           -(DOT3(R(4),DADLAM)+DOT3(R,DADLAM(4)))/R3
     X           +3.D0*DOT3(R,R(4))*DOT3(R,DADLAM)/R5)

C  CALCULATE BODY-FIXED TIDE RATES / LOVE NUMBERS 
        DELRDT=DUDT/G
        DELPDT=DUDPDT/G
        DELLDT=DUDLDT/G/CPHI

C  FORM TERMS FOR TIDE-RATE CARTESIAN COMPONENTS
        DO 30 I=4,6 
        DXDH(I)=DELRDT*DADR(I-3)+DELR*DADR(I)
 30     DXDL(I)=(DELPDT*DADPHI(I-3)+DELPHI*DADPHI(I)
     X          +(DELLDT*DADLAM(I-3)+DELLAM*DADLAM(I))/CPHI)/A1

C  COMBINE TERMS FOR TIDES, STUFF PARTIALS
 90     DO 95 I=1,NV
 95     X(I)=H*DXDH(I)+L*DXDL(I)
C
C	   THE
	   END


	FUNCTION DOT3(VEC1,VEC2)
        IMPLICIT DOUBLE PRECISION (A-H,O-Z) 
C  CREATE DOT PRODUCT OF TWO VECTORS
C
C$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$ RLR

        DOUBLE PRECISION VEC1(3),VEC2(3)

        DOT3 = 0.D0
        DO 10 I=1,3 
 10     DOT3 = DOT3 + VEC1(I)*VEC2(I)

C	   THE
	   END

